from test import StudentManager


def run():
    manager = StudentManager()
    while True:
        print("请选择操作：")
        print("1. 添加学员")
        print("2. 删除学员")
        print("3. 修改学员信息")
        print("4. 查询学员信息")
        print("5. 显示所有学员信息")
        print("6. 保存学员信息")
        print("7. 退出系统")
        choice = input()
        if choice == '1':
            name = input("请输入学生姓名：")
            gender = input("请输入学生性别：")
            phone = input("请输入学生电话：")
            manager.add_student(name, gender, phone)
        elif choice == '2':
            name = input("请输入要删除的学生姓名：")
            manager.delete_student(name)
        elif choice == '3':
            name = input("请输入要修改的学生姓名：")
            gender = input("请输入新的学生性别：")
            phone = input("请输入新的学生电话：")
            manager.update_student(name, gender, phone)
        elif choice == '4':
            name = input("请输入要查询的学生姓名：")
            manager.search_student(name)
        elif choice == '5':
            manager.show_all_students()
        elif choice == '6':
            filename = input("请输入要保存的文件名：")
            manager.save_students(filename)
        elif choice == '7':
            manager.exit()
        else:
            print("无效的选择，请重新选择")


if __name__ == '__main__':
    run()
